
     .floating-button {
    position: fixed;
    bottom: 0;
    right: 0;
    padding: 0 20px 20px 20px;
    display: flex;
    flex-direction: column;
    align-items: flex-end;
    gap: 0.75rem;
    z-index: 1000;
    animation: fadeIn 0.4s ease-in-out;}

        .refer {
            align-items: center;
            text-decoration: none;
            padding: 0.5rem 0.75rem;
            border-radius: 0.75rem;
            font-size: 1rem;
            box-shadow: 0 1.5px 4px rgba(0, 0, 0, 0.15);
            z-index: 1000;
            transition: background-color 0.3s ease, box-shadow 0.3s ease, transform 0.3s ease;
        }

        .refer-button {
            border-radius: 4rem;
            background-color: black;
            color: #fff;
            font-weight: 400;
        }

        .refer-bubble {
            display: flex;
            flex-direction: row;
            gap: 0.75rem;
            background-color: #fff;
            color: #000;
        }

        .refer-bubble img {
            width: 54px;
        }

        .refer-button:hover {
            background-color: #e50019;
            box-shadow: 0 6px 10px rgba(0, 0, 0, 0.2);
        }

        .close-button {
            width: 2rem;
            height: 2rem;
            background-color: #fff;
            border: none;
            border-radius: 50%;
            display: flex;
            align-items: center;
            justify-content: center;
            box-shadow: 0 2px 6px rgba(0, 0, 0, 0.1);
            cursor: pointer;
            z-index: 1001;
            opacity: 0;
            transition: opacity 0.3s ease;
        }

        .floating-button:hover .refer {
            box-shadow: 0 2px 6px rgba(0, 0, 0, 0.1);
        }

        .floating-button:hover .close-button {
            opacity: 1;
        }

        @media (max-width: 768px) {
            .close-button {
                opacity: 1;
            }
        }

        @keyframes fadeIn {
            from {
                opacity: 0;
                transform: translateY(0.75rem);
            }

            to {
                opacity: 1;
                transform: translateY(0);
            }
        }
   
